Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.704789
Category:Debian Local Security Checks
Title:Debian: Security Advisory for codemirror-js (DSA-4789-1)
Summary:The remote host is missing an update for the 'codemirror-js'; package(s) announced via the DSA-4789-1 advisory.
Description:Summary:
The remote host is missing an update for the 'codemirror-js'
package(s) announced via the DSA-4789-1 advisory.

Vulnerability Insight:
It was discovered that codemirror, a browser-based text editor
implemented in JavaScript, was vulnerable to regular expression
denial-of-service.

Affected Software/OS:
'codemirror-js' package(s) on Debian Linux.

Solution:
For the stable distribution (buster), this problem has been fixed in
version 5.43.0-1+deb10u1.

We recommend that you upgrade your codemirror-js packages.

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-7760
Debian Security Information: DSA-4789 (Google Search)
https://www.debian.org/security/2020/dsa-4789
https://github.com/codemirror/CodeMirror/commit/55d0333907117c9231ffdf555ae8824705993bbb
https://snyk.io/vuln/SNYK-JAVA-ORGAPACHEMARMOTTAWEBJARS-1024450
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARS-1024449
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-1024445
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWERGITHUBCODEMIRROR-1024448
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWERGITHUBCOMPONENTS-1024446
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-1024447
https://snyk.io/vuln/SNYK-JS-CODEMIRROR-1016937
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.